Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports System.Reflection
<DefaultClassOptions()> _
<NavigationItem("BusinessStocks")> _
Public Class WorkSheetTypeExcelParam
    Inherits BaseObject

    Private _XLSCellAdress As String
    Private _PropertiesInfo As String
    Private _Format As String
    Private _WorkSheetType As WorkSheetType

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub

    Property XLSCellAdress As String
        Get
            Return _XLSCellAdress
        End Get
        Set(value As String)
            SetPropertyValue("XLSCellAdress", _XLSCellAdress, value)
        End Set
    End Property
    Property PropertiesInfo As String
        Get
            Return _PropertiesInfo
        End Get
        Set(value As String)
            SetPropertyValue("PropertiesInfo", _PropertiesInfo, value)
        End Set
    End Property
    Property Format As String
        Get
            Return _Format
        End Get
        Set(value As String)
            SetPropertyValue("Format", _Format, value)
        End Set
    End Property
    <Association("WorkSheetType-WorkSheetTypeExcelParam", GetType(WorkSheetType))> _
    Property WorkSheetType As WorkSheetType
        Get
            Return _WorkSheetType
        End Get
        Set(value As WorkSheetType)
            SetPropertyValue("WorkSheetTypeExcelParam", _WorkSheetType, value)
        End Set
    End Property
End Class
